Package org.eclipse.m2m.atl.emftvm

## Interface Match

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Instruction`, `InvokeInstruction`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MatchImpl`

    public interface Match
    extends InvokeInstruction

A representation of the model object 'Match'.

See Also:
  `EmftvmPackage.getMatch()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getRulename()` Returns the value of the 'Rulename' attribute.
`void` `setRulename​(java.lang.String value)` Sets the value of the '`Rulename`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Instruction

`getLineNumber, getOpcode, getOwningBlock, getStackConsumption, getStackLevel, getStackProduction, setLineNumber, setOwningBlock`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.InvokeInstruction

`getArgcount, setArgcount`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getRulename

    java.lang.String getRulename()

Returns the value of the 'Rulename' attribute.

If the meaning of the 'Rulename' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rulename' attribute.
See Also:
  `setRulename(String)`, `EmftvmPackage.getMatch_Rulename()`

#### setRulename

    void setRulename​(java.lang.String value)

Sets the value of the '`Rulename`' attribute.

Parameters:
  `value` - the new value of the 'Rulename' attribute.
See Also:
  `getRulename()`